<?php

/**
 * This file is part of ILIAS, a powerful learning management system
 * published by ILIAS open source e-Learning e.V.
 *
 * ILIAS is licensed with the GPL-3.0,
 * see https://www.gnu.org/licenses/gpl-3.0.en.html
 * You should have received a copy of said license along with the
 * source code, too.
 *
 * If this is not the case or you just want to try ILIAS, you'll find
 * us at:
 * https://www.ilias.de
 * https://github.com/ILIAS-eLearning
 *
 *********************************************************************/

declare(strict_types=1);

namespace PlagScan\Helper;

class Repository extends Base
{
    /**
     * @return array|string
     */
    public function getAll()
    {
        return $this->handler->request('repositories/documents', 'GET', $this->access_token);
    }

    /**
     * @return array|string
     */
    public function delete(int $doc_id)
    {
        return $this->handler->request('repositories/documents/' . $doc_id, 'DELETE', $this->access_token);
    }
}
